# $Revision: 1.18 $, $Date: 2006/06/03 21:48:32 $
%include	/usr/lib/rpm/macros.php
%define		_class		HTTP
%define		_subclass	Client
%define		_status		stable
%define		_pearname	%{_class}_%{_subclass}

Summary:	%{_pearname} - easy way to perform multiple HTTP requests
Summary(pl):	%{_pearname} - atwe zarzdzanie wieloma zapytaniami HTTP
Name:		php-pear-%{_pearname}
Version:	1.1.0
Release:	1
License:	PHP 2.02
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{_pearname}-%{version}.tgz
# Source0-md5:	2067402dfaf521a3ae2e3fa7acf79186
URL:		http://pear.php.net/package/HTTP_Client/
BuildRequires:	php-pear-PEAR
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.300
Requires:	php-pear
Requires:	php-pear-HTTP_Request >= 1.2
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This class provides an easy way to perform multiple HTTP requests and
process their resulsts.
Features:
- manage cookies and referrers between requests
- handles HTTP redirection
- has methods to set default headers and request parameters
- implements the Subject-Observer design pattern: the base class sends
  events to listeners that do the response processing

In PEAR status of this package is: %{_status}.

%description -l pl
Za pomoc tej klasy mona w atwy sposb wykona wiele zapyta HTTP i
przetworzy otrzymane wyniki.
Moliwoci:
- zarzdzanie ciasteczkami (cookies) i rdami odwoa (referrers)
  pomidzy zapytaniami
- obsuga przekierowa HTTP
- metody do ustawiania domylnych parametrw nagwkw i zapyta
- implementacja idei projektowej Subject-Observer - klasa bazowa
  wysya zdarzenia do nasuchujcych, ktre przetwarzaj te dane.

Ta klasa ma w PEAR status: %{_status}.

%prep
%pear_package_setup

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}
%pear_package_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc install.log
%doc docs/%{_pearname}/examples/*
%{php_pear_dir}/.registry/*.reg
%dir %{php_pear_dir}/%{_class}/%{_subclass}
%{php_pear_dir}/%{_class}/*.php
%{php_pear_dir}/%{_class}/%{_subclass}/*.php

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: php-pear-HTTP_Client.spec,v $
Revision 1.18  2006/06/03 21:48:32  glen
- 1.1.0

Revision 1.17  2006/05/23 20:18:14  glen
- BR rpm-build macros >= 1.300 for %pear_ macros

Revision 1.16  2006/03/07 10:20:48  glen
- BR php-pear-PEAR

Revision 1.15  2005/10/05 20:11:06  glen
- rel 3

Revision 1.14  2005/10/03 23:35:33  glen
- fixed status

Revision 1.13  2005/10/03 22:59:16  glen
- semi automatically added deps from pear

Revision 1.12  2005/09/26 20:28:45  glen
- new pear packaging

Revision 1.11  2004/12/03 22:12:56  adamg
- rebuild with new PEAR provides/requires scripts
- release 2

Revision 1.10  2004/07/08 20:06:38  adamg
- updated to 1.0.0

Revision 1.9  2004/05/30 13:13:49  adamg
- fixed english information about status of the package

Revision 1.8  2004/05/01 17:23:18  adamg
- updated to 1.0.0beta1

Revision 1.7  2004/03/15 17:44:30  ankry
- massive cosmetics

Revision 1.6  2004/01/18 19:30:47  adamg
- updated to 0.2

Revision 1.5  2003/10/14 16:31:27  qboosh
- pl fix(?)

Revision 1.4  2003/10/07 20:54:59  adamg
- do not use macros in URL

Revision 1.3  2003/08/31 20:49:09  adamg
- more specific URL

Revision 1.2  2003/08/18 08:09:29  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.1  2003/06/06 08:40:10  adamg
- initial import
